Bug 465270 - Netboot with static IP parameters prompts for networking details in stage#1
Netboot with static IP parameters prompts for networking details in stage#1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 10:19 EDT by James Laska
Modified: 2013-09-02 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 18:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-10-02 10:19:18 EDT
Description of problem:
PXE Boot while providing static IP configuration prompts for networking details in stage#1.

Version-Release number of selected component (if applicable):
 * rawhide=20081002/x86_64
 * anaconda-11.4.1.42-1

How reproducible:
100%

Steps to Reproduce:
1. PXE boot the noted rawhide tree
2. Add boot arguments: ksdevice=00:1a:64:33:d5:08 ip=192.168.32.38 netmask=255.255.252.0 gateway=192.168.35.254 dns=192.168.32.2 noipv6
3. When prompted, enter lang=en and keymap=us
4. Select URL install method
  
Actual results:
Prompted for networking details again.

Expected results:
Networking was provided on command-line

Additional info:

http://jlaska.fedorapeople.org/static-ip-tty1.png
http://jlaska.fedorapeople.org/static-ip-tty3.png
http://jlaska.fedorapeople.org/static-ip-tty4.png
Comment 1 Jóhann B. Guðmundsson 2008-10-02 10:23:24 EDT
Same here.
Comment 2 David Cantrell 2008-10-09 18:34:44 EDT
This is fixed in rawhide now, will be included in anaconda-11.4.1.46-1.

Note You need to log in before you can comment on or make changes to this bug.